#!/usr/local/bin/perl -w

use strict;
use IO::File;
my $addressbook = "addressbook";
my %address = ();
my $book = new IO::File $addressbook or
   die "Cannot open $addressbook\n";
while (<$book>) {
   chomp;
   my ($name, $address) = split /:/;
   $address{$name} = $address;
}
$book->close;

foreach my $name (sort keys %address) {
   printf "%-25s | %s\n", $name, $address{$name};
}
