#!/usr/local/bin/perl -w
use strict;
use IO::File;

my $addressbook = "addressbook";
my $book = new IO::File $addressbook or
   die "Cannot open $addressbook\n";
my @addresses = ();
my ($address, $first, $last);
while (<$book>) {
   chomp;
   my(@address) = /(.*)\s(\S+):(.*)/;
   push(@addresses, \@address);
}
$book->close;

foreach $address 
   (sort { $a->[1] cmp $b->[1] } @addresses) {
      ($first, $last, $address) = @{$address};
      printf "%-25s | %s\n", "$first $last", $address;
}
